---
title: Get Payout Batches
description: Retrieve all payout batches for a partner within a date range.
---

This API will return all the payout batches of all the partner. We will pass date range to get the payout details and no of rows in response then we will get status: success/error, payout details of the batch in terms of code, name, created date, transaction type count.

get

```
http://kraken.airpay.co.in:8000/payout/partner/payout-batches
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| Content-Type  required | String | The Content-Type header indicates the media type of the request or response body so the receiver knows how to process the data. | `application/json` |
| Authorization  required | String | The token is a JSON Web Token (JWT) in this example, commonly used for bearer authentication. | `JIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NT` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| from_date  required | Date | Payout batch created from date. (Y-m-d) | `2022-01-10` |
| to_date  required | Date | Payout batch created to date. (Y-m-d) | `2022-01-25` |
| offset  required | Numeric | Which row to start retrieve from | `0` |
| limit  required | Numeric  <br>(1-25) | Number of rows in response. | `25` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Alphanumeric | success / error | `success` |
| message  required | Alphanumeric | Response description | `Payout batches` |
| errors  required | Array | Error messages if response status is 'error' |
| data  required | Array | Response data |
| code  required | Alphanumeric | Payout batch code | `2022JAN` |
| name  required | Alphanumeric | Batch name | `Affiliate Payout January 2022- Batch 2` |
| created_datetime  required | DateTime | Batch created date time (Y-m-d H:i:s) | `2022-02-12 20:48:14` |
| transfers_count  required | Numeric | Total number of transfers in the batch | `2` |
| pending_transfers_count  required | Numeric | Number of transfers waiting for airpay approval | `1` |
| approved_transfers_count  required | Numeric | Number of transfers approved by airpay | `1` |
| processing_transfers_count  required | Numeric | Number of transfers in process | `0` |
| success_transfers_count  required | Numeric | Number of successful transfers | `1` |
| failure_transfers_count  required | Numeric | Number of failed transfers | `1` |
| rejected_transfers_count  required | Numeric | Number transfers rejected by airpay | `0` |

## Request Example

```
HTTP get

    GET 'partner/payout-batches?offset=0&limit=25&from_date=2022-01-10&to_date=2022-01-25'
```

### Success Response (Decrypted)

```json
{
    "status": "success",
    "message": "Payout batches",
    "data": [
        {
            "code": "2022JANP1",
            "name": "Affiliate Payout January 2022- Batch 2",
            "created_datetime": "2022-02-12 20:48:14",
            "transfers_count": 2,
            "pending_transfers_count": 1,
            "approved_transfers_count": 1,
            "processing_transfers_count": 1,
            "success_transfers_count": 0,
            "failure_transfers_count": 0,
            "rejected_transfers_count": 1
        },
        {
            "code": "2022JAN",
            "name": "Affiliate Payout January 2022",
            "created_datetime": "2022-02-07 05:46:12",
            "transfers_count": 2,
            "pending_transfers_count": 2,
            "approved_transfers_count": 0,
            "processing_transfers_count": 0,
            "success_transfers_count": 0,
            "failure_transfers_count": 0,
            "rejected_transfers_count": 0
        }
    ]
}
```